<?php
/*
Plugin Name: Search Page Direct
Plugin URI: http://matamerah.com
Description: Search Page Then Redirect To Single Result
Version: 1.0
Author: MataMerah
Author URI: http://matamerah.com
License: GPL2
*/


/**
 * ShortCode UI
 */
function search_page_direct_shortcode( $atts , $content = null ) {

    // Attributes
    $atts = shortcode_atts(
        array(
            'class'         => 'search-page-direct-class',
            'placeholder'   =>  'Type Page Name',
            'notfound'      =>  'Page Not Found',
            'notfound-class'=>  'warning'
        ),
        $atts
    );
    ob_start();
    ?>
        <?php if(isset($_GET['sp-error'])) : ?>
            <p class="<?php echo $atts['notfound-class']; ?>"><?php echo $atts['notfound']; ?></p>
        <?php endif; ?>
        <form method="GET" class="<?php echo $atts['class'] ?>">
            <input type="text" name="search-page" class="search-box" placeholder="<?php echo $atts['placeholder'] ?>">
            <input type="submit" class="submit-btn">
        </form>
    <?php
    $output = ob_get_contents();
    ob_end_clean();
    return $output;
}
add_shortcode( 'search-page-direct', 'search_page_direct_shortcode' );

add_action('wp_loaded', 'search_page_direct_handler');
function search_page_direct_handler() {
    if( !isset($_GET['search-page']) ) {
        return;
    }

    $the_query = new WP_Query( array (
        'post_type'     => 'page',
        'title'         => $_GET['search-page']
    ) );

    if($the_query->have_posts()) {
        while ( $the_query->have_posts() ) :
            $the_query->the_post();
            wp_safe_redirect( get_permalink() ); exit;
        endwhile;
    } else {
        wp_safe_redirect( wp_get_referer() . '?sp-error' ); exit;
    }
    wp_reset_postdata();
}